Package org.jfree.layouting.layouter.style.values

## Class CSSFormatedValue

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSStringValue
  - - org.jfree.layouting.layouter.style.values.CSSFormatedValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class CSSFormatedValue
      extends CSSStringValue

  Creation-Date: 16.04.2006, 16:25:29
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSFormatedValue​(java.lang.String value, java.lang.Object raw, java.text.Format formatSpec)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.text.Format` | `getFormatSpec​()` |
    `java.lang.Object` | `getRaw​()` |

    - ### Methods inherited from class org.jfree.layouting.input.style.values.CSSStringValue

      `getCSSText, getType, getValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSFormatedValue

          public CSSFormatedValue​(java.lang.String value,
                                  java.lang.Object raw,
                                  java.text.Format formatSpec)

  - ### Method Detail

    - #### getRaw

          public java.lang.Object getRaw​()

    - #### getFormatSpec

          public java.text.Format getFormatSpec​()